## ros-foxy-jackal-description 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(jackal_description)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(urdf REQUIRED)

install(DIRECTORY launch meshes urdf
  DESTINATION share/${PROJECT_NAME}
)

ament_export_dependencies(xacro)
ament_export_dependencies(urdf)
ament_package()

=== debian/changelog ===
ros-foxy-jackal-description (1.0.4-1focal) focal; urgency=high

  * [jackal_description] Changed the output type of the gazebo_ros_ray_sensor to LaserScan.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 20 Apr 2023 04:00:00 -0000

ros-foxy-jackal-description (1.0.3-1focal) focal; urgency=high

  * Fixed gazebo_ros_laser plugin
  * Contributors: Roni Kreinin

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 08 Feb 2023 05:00:00 -0000

ros-foxy-jackal-description (1.0.2-1focal) focal; urgency=high

  * Add missing dependency to velodyne_description.
  * Contributors: Joey Yang

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 02 Feb 2023 05:00:00 -0000

ros-foxy-jackal-description (1.0.1-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 14 Oct 2022 04:00:00 -0000

ros-foxy-jackal-description (1.0.0-1focal) focal; urgency=high

  * Updated all packages to 0.8.5.
  * Added sim support
  * Added Nav2 and slam_toolbox to jackal_navigation
  * Control fixes
  * Minor cleanup
  * Added ros2_control to description
  * Remove RViz Dependency
  * Hack until lms1xx and pointgrey_camera_description are available
  * ROS 2 Port
  * Contributors: David V. Lu, Roni Kreinin, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 27 Sep 2022 04:00:00 -0000

ros-foxy-jackal-description (0.8.1-1focal) focal; urgency=high

  * Updated to match melodic-devel
  * Contributors: Luis Camero

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-foxy-jackal-description (0.8.0-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 23 Apr 2021 04:00:00 -0000

ros-foxy-jackal-description (0.7.5-1focal) focal; urgency=high

  * Add the origin block to the fender UST-10 macros; otherwise enabling them crashes
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 24 Mar 2021 04:00:00 -0000

ros-foxy-jackal-description (0.7.4-1focal) focal; urgency=high

  * Bumped CMake version to avoid author warning.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 16 Mar 2021 04:00:00 -0000

ros-foxy-jackal-description (0.7.3-1focal) focal; urgency=high

  * Add VLP16 support, refactor main/secondary laser envar support (#79)
  * Contributors: Chris I-B

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 08 Mar 2021 05:00:00 -0000

ros-foxy-jackal-description (0.7.2-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 29 Sep 2020 04:00:00 -0000

ros-foxy-jackal-description (0.7.1-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 24 Aug 2020 04:00:00 -0000

ros-foxy-jackal-description (0.7.0-1focal) focal; urgency=high

  * [jackal_description] Re-added pointgrey_camera_description as run depend.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-foxy-jackal-description (0.6.4-1focal) focal; urgency=high

  * Modify the hokuyo accessory so that it works properly in gazebo/rviz.  Add an additional environment var JACKAL_LASER_HOKUYO which overrides the default lms1xx sensor with the ust10.
  * use env_run.bat on Windows (#3 <https://github.com/jackal/jackal/issues/3>)
  * add setlocal
  * Fix jackal_description install location & fold xacro includes (#2 <https://github.com/jackal/jackal/issues/2>)
    * Fix install location.
    * Fold xacro includes
  * add env-hook batch scripts (#1 <https://github.com/jackal/jackal/issues/1>)
  * Contributors: Chris I-B, James Xu, Sean Yen, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-foxy-jackal-description (0.6.3-1focal) focal; urgency=high

  * Added all extra fender changes
  * Contributors: Dave Niewinski
  * Made minor changes to syntax for kinetic warnings
  * Contributors: Dave Niewinski
  * Added stereo camera accessory.
  * Removed unused variable jackal_description_dir
  * Make urdf refer explicitly to jackal_description, rather than relying on current working directory being correct, for easier external includes
  * Contributors: Arnold Kalmbach, Tony Baltovski, akalmbach

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Jul 2019 04:00:00 -0000

ros-foxy-jackal-description (0.5.1-1focal) focal; urgency=high

  * Modified the accessories.urdf.xacro to include both the GPS and mount plate, including standoffs.
  * Eliminate rosrun from the xacro wrapper.
  * Contributors: BryceVoort, Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 02 Feb 2015 05:00:00 -0000

ros-foxy-jackal-description (0.5.0-1focal) focal; urgency=high

  * Add hook for custom URDF insertion to jackal.urdf.xacro.
  * Add xacro wrapper script to provide some pre-cooked "configs", especially for simulated Jackal.
  * Switch to parameterizing URDF with optenv.
  * Add laser bracket STL.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-foxy-jackal-description (0.4.2-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 14 Jan 2015 05:00:00 -0000

ros-foxy-jackal-description (0.4.1-1focal) focal; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 07 Jan 2015 05:00:00 -0000

ros-foxy-jackal-description (0.4.0-1focal) focal; urgency=high

  * add pointgrey camera
  * Removed inertial and geometry of the base_link.
  * hector gazebo plugin for gps is added.
  * hector gazebo plugin for imu sensor is added
  * Contributors: Mike Purvis, spourmehr

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 12 Dec 2014 05:00:00 -0000

ros-foxy-jackal-description (0.3.0-1focal) focal; urgency=high

  * Add comment about accessory args.
  * Add front laser accessory to description.
  * Contributors: Mike Purvis



=== debian/control ===
Source: ros-foxy-jackal-description
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-robot-state-publisher, ros-foxy-urdf, ros-foxy-velodyne-description, ros-foxy-xacro, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-jackal-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-robot-state-publisher, ros-foxy-urdf, ros-foxy-velodyne-description, ros-foxy-xacro, ros-foxy-ros-workspace
Description: URDF robot description for Jackal

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-jackal-description//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
